Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class Expression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression

    public abstract class Expression
    extends AnnotatedNode

Represents a base class for expressions which evaluate as an object

Authors:
  James Strachan

Version:
  \$Revision: 17114 \$

Method Summary
`ClassNode` | `getType()`
`void` | `setType(ClassNode t)`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`protected List` | `transformExpressions(List expressions, ExpressionTransformer transformer)` Transforms the list of expressions
`protected List` | `transformExpressions(List expressions, ExpressionTransformer transformer, Class transformedType)` Transforms the list of expressions, and checks that all transformed expressions have the given type.

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getType

    public ClassNode getType()

### setType

    public void setType(ClassNode t)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Return a copy of the expression calling the transformer on any nested expressions
  Parameters:
    transformer

### transformExpressions

    protected List transformExpressions(List expressions, ExpressionTransformer transformer)

  Transforms the list of expressions
  Returns:
    a new list of transformed expressions

### transformExpressions

    protected List transformExpressions(List expressions, ExpressionTransformer transformer, Class transformedType)

  Transforms the list of expressions, and checks that all transformed expressions have the given type.
  Returns:
    a new list of transformed expressions

Copyright © 2003-2010 The Codehaus. All rights reserved.